NTsu Help

What is NTsu?
What's new in 3.1?
Installation
Using NTsu
Using NTsu from the Command Line
Registering NTsu
Tips
Warning

Copyright 2000 The Quimeras Company. Alberto Aragones
FAX: +34 639 118657
http://www.quimeras.com

quimeras@quimeras.com


The Quimeras Company
NTsu 3.1 "Run As..." extensions for Windows NT

[ NTsu Help ] [ MultiLogon ] [ NTsuInstaller ] [ Licensing ] [ For more information ]

[ What is NTsu? ] [ What's new in 3.1? ] [ Installation ] [ Using NTsu ] [ Using NTsu from the Command Line ] [ Registering NTsu ] [ Tips ] [ Warning ]

What is NTsu?

NTsu provides "Run as..." extensions for Windows NT 4.0.

Run as... allows you to run programs under another user account, this way you can make your normal work using your regular user account and increase your rights and privileges when you need to perform administrative tasks. You don't need to logoff and relogon to achieve this, only right click the file to open and select "Run As..." from the context menu, enter the credentials of the new user and Voila!, the program runs under the new user account.

Perhaps you like to work all the time with administrator rights, but you would like to surf the net without such administrator rights, don't worry, use Run as... to run your browser under a unprivileged user account and you will be safe about viruses and trojans.

As you must know, Windows 2000 has got this new useful functionality, so why can't you use it in Windows NT 4.0? Installing NTsu is your solution. Perhaps you don't know it, but NTsu exists for a long time before Windows 2000 was born.

Remote Executions

With NTsu you can run programs or scripts on remote domain computers on behalf the user you want. This way administrators can run setup programs, configuration scripts or commands and so on. Try it and you will be surprised.

Multilogon or Multidesktop capabilities

With NTsu you can open simultaneously more than one interactive sessions on your NT box. Each one of the interactive sessions runs in its own desktop with different user profile and security context.


What's new in 3.1

[ What is NTsu? ] [ What's new in 3.1? ] [ Installation ] [ Using NTsu ] [ Using NTsu from the Command Line ] [ Registering NTsu ] [ Tips ] [ Warning ]

What's new in 3.1?

NTsu 3.1:

Well, some things has been added because a lot of people requested them.

  • Default current username.
  • Default current domain.
  • Network browsing.
  • File browsing.
  • Switching desktops cyclically using a shortcut (see Tips section).

NTsu 3.0:

NTsu 3.0 tries to provide "Run As..." extensions for Windows NT in the same way Microsoft provides this service in Windows 2000, thus some features have been removed from NTsu 2.53 and other included.

  • Simplifies its use.
  • Separates user interface from service code.
  • Introduces an improved independent application for managing multiple interactive desktops.
  • Modifies its command line usage syntax.

Important

NTsu 3.x does not support SIF files. SIF files were introduced in NTsu 2.5 and won't be no longer supported by now.


[ What is NTsu? ] [ What's new in 3.1? ] [ Installation ] [ Using NTsu ] [ Using NTsu from the Command Line ] [ Registering NTsu ] [ Tips ] [ Warning ]

Installation

Requirements

Windows NT 4.00 Server or WorkStation (Service Pack 4 or later very recommended).

To install NTsu you must be logged in with Administrator privileges. Run the NTsu Setup file and follow the instructions.

Upgrading from NTsu 2.5x

Please uninstall NTsu 2.5x and restart your computer before installing NTsu 3.x.

Evaluation Period

NTsu 3.x version has an evaluation period of 15 days, then if you like NTsu and you want to use it you must acquire a license code to contribute to its development.

Companies and users who registered any previous version of NTsu can upgrade to NTsu 3.x for free, but they must ask The Quimeras Company for a new License Code, the old one will not work on NTsu 3.x.


[ What is NTsu? ] [ What's new in 3.1? ] [ Installation ] [ Using NTsu ] [ Using NTsu from the Command Line ] [ Registering NTsu ] [ Tips ] [ Warning ]

Using NTsu

NTsu usage is as easy as right click the file to open or run and select "Run As..." from the context menu. The following dialog will appear:

Select options, enter username and password and optionally domain and target computer. Edit the command line as needed.

Executing programs on remote computers requires NTsu installed on them. If the executable file does not reside on the target computer, be sure to enter an UNC path at the Command Line (in the form \\computer\share\path\exefile) and that the specified user has read access to it.


[ What is NTsu? ] [ What's new in 3.1? ] [ Installation ] [ Using NTsu ] [ Using NTsu from the Command Line ] [ Registering NTsu ] [ Tips ] [ Warning ]

Using NTsu from the Command Line

You can use NTsu from the command line or include statements in scripts according with the following syntax:

C:\>RunAsSrv [-h] [-s] [-np] [-c computer] [-d domain] -u user -p password "command line"

-h: print help in a message box
-s: run as Local System account (an admin account must be entered)
-np: don't load user profile neither environment
-c: run "command line" remotely on target computer
-d: specify the domain for the user
-u: username
-p: password

When using -c option the command line will be executed on target computer


[ What is NTsu? ] [ What's new in 3.1? ] [ Installation ] [ Using NTsu ] [ Using NTsu from the Command Line ] [ Registering NTsu ] [ Tips ] [ Warning ]

Registering NTsu

Entering your License Code

To enter your license code bring up the "Run As..." dialog, then click on the little icon in the upper left corner and select "About NTsu..." option from the menu.

Thus, you will obtain the About Dialog:

Click on Register button and enter your registration data:

That's all.


[ What is NTsu? ] [ What's new in 3.1? ] [ Installation ] [ Using NTsu ] [ Using NTsu from the Command Line ] [ Registering NTsu ] [ Tips ] [ Warning ]

Tips

  • Enabling a shortcut for switching desktops.
  • Accessing Control Panel as Administrator while been logged as an unprivileged user.
  • Using shortcuts in secure environments.

Enabling a shortcut for switching desktops. (Dedicated to Andy Osewalt)

For enable using CTRL+ALT+KEY to switch between different user's desktops look for the following key in the registry:

"HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\NTsu RunAs Service"

Add a DWORD value with the name "SwitchDesktopKey" and give it the value of the virtual key you want to use for switching desktops (be sure to enter it in hexadecimal base, for example D = 0x44) then restart the NTsu Service. For a complete virtual key's codes values see this table.

Accessing Control Panel as Administrator while been logged as an unprivileged user.

First be sure that a value named "DesktopProcess" exists and has got a value of 1 in the following register key.

"HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer"

If so, you can run an Explorer window from the "Run as..." dialog as Administrator and access Control Panel as him. In addition, trough this explorer you have full access as Administrator to all system's objects.

Using shortcuts in secure environments.

Remember that you can always use NTsu as statements sentences, so if you are in a secure environment you can create shortcuts to your favorite utility programs using NTsu at the Destiny (for example):

Shortcut Destiny: C:\Program Files\NTsu31\RunAsSrv.exe -s -np -u Administrator -p passwd cmd

Double clicking this shortcut you will obtain a console with LocalSystem privileges. Also you can combine this with the previous tip and run Explorer quickly as Administrator. Be creative.

The following table is taken from the Platform SDK and shows the symbolic constant names, hexadecimal values, and mouse or keyboard equivalents for the virtual-key codes used by the system. The codes are listed in numeric order.

Symbolic constant name | Value (hexadecimal) | Mouse or keyboard equivalent
VK_LBUTTON | 01 | Left mouse button
VK_RBUTTON | 02 | Right mouse button
VK_CANCEL | 03 | Control-break processing
VK_MBUTTON | 04 | Middle mouse button (three-button mouse)
VK_XBUTTON1 | 05 | Windows 2000: X1 mouse button
VK_XBUTTON2 | 06 | Windows 2000: X2 mouse button
— | 07 | Undefined
VK_BACK | 08 | BACKSPACE key
VK_TAB | 09 | TAB key
— | 0A–0B | Reserved
VK_CLEAR | 0C | CLEAR key
VK_RETURN | 0D | ENTER key
— | 0E–0F | Undefined
VK_SHIFT | 10 | SHIFT key
VK_CONTROL | 11 | CTRL key
VK_MENU | 12 | ALT key
VK_PAUSE | 13 | PAUSE key
VK_CAPITAL | 14 | CAPS LOCK key
VK_KANA | 15 | IME Kana mode
VK_HANGUEL | 15 | IME Hanguel mode (maintained for compatibility; use VK_HANGUL)
VK_HANGUL | 15 | IME Hangul mode
— | 16 | Undefined
VK_JUNJA | 17 | IME Junja mode
VK_FINAL | 18 | IME final mode
VK_HANJA | 19 | IME Hanja mode
VK_KANJI | 19 | IME Kanji mode
— | 1A | Undefined
VK_ESCAPE | 1B | ESC key
VK_CONVERT | 1C | IME convert
VK_NONCONVERT | 1D | IME nonconvert
VK_ACCEPT | 1E | IME accept
VK_MODECHANGE | 1F | IME mode change request
VK_SPACE | 20 | SPACEBAR
VK_PRIOR | 21 | PAGE UP key
VK_NEXT | 22 | PAGE DOWN key
VK_END | 23 | END key
VK_HOME | 24 | HOME key
VK_LEFT | 25 | LEFT ARROW key
VK_UP | 26 | UP ARROW key
VK_RIGHT | 27 | RIGHT ARROW key
VK_DOWN | 28 | DOWN ARROW key
VK_SELECT | 29 | SELECT key
VK_PRINT | 2A | PRINT key
VK_EXECUTE | 2B | EXECUTE key
VK_SNAPSHOT | 2C | PRINT SCREEN key
VK_INSERT | 2D | INS key
VK_DELETE | 2E | DEL key
VK_HELP | 2F | HELP key
 | 30 | 0 key
 | 31 | 1 key
 | 32 | 2 key
 | 33 | 3 key
 | 34 | 4 key
 | 35 | 5 key
 | 36 | 6 key
 | 37 | 7 key
 | 38 | 8 key
 | 39 | 9 key
— | 3A–40 | Undefined
 | 41 | A key
 | 42 | B key
 | 43 | C key
 | 44 | D key
 | 45 | E key
 | 46 | F key
 | 47 | G key
 | 48 | H key
 | 49 | I key
 | 4A | J key
 | 4B | K key
 | 4C | L key
 | 4D | M key
 | 4E | N key
 | 4F | O key
 | 50 | P key
 | 51 | Q key
 | 52 | R key
 | 53 | S key
 | 54 | T key
 | 55 | U key
 | 56 | V key
 | 57 | W key
 | 58 | X key
 | 59 | Y key
 | 5A | Z key
VK_LWIN | 5B | Left Windows key (Microsoft® Natural® keyboard)
VK_RWIN | 5C | Right Windows key (Natural keyboard)
VK_APPS | 5D | Applications key (Natural keyboard)
— | 5E | Reserved
VK_SLEEP | 5F | Computer Sleep key
VK_NUMPAD0 | 60 | Numeric keypad 0 key
VK_NUMPAD1 | 61 | Numeric keypad 1 key
VK_NUMPAD2 | 62 | Numeric keypad 2 key
VK_NUMPAD3 | 63 | Numeric keypad 3 key
VK_NUMPAD4 | 64 | Numeric keypad 4 key
VK_NUMPAD5 | 65 | Numeric keypad 5 key
VK_NUMPAD6 | 66 | Numeric keypad 6 key
VK_NUMPAD7 | 67 | Numeric keypad 7 key
VK_NUMPAD8 | 68 | Numeric keypad 8 key
VK_NUMPAD9 | 69 | Numeric keypad 9 key
VK_MULTIPLY | 6A | Multiply key
VK_ADD | 6B | Add key
VK_SEPARATOR | 6C | Separator key
VK_SUBTRACT | 6D | Subtract key
VK_DECIMAL | 6E | Decimal key
VK_DIVIDE | 6F | Divide key
VK_F1 | 70 | F1 key
VK_F2 | 71 | F2 key
VK_F3 | 72 | F3 key
VK_F4 | 73 | F4 key
VK_F5 | 74 | F5 key
VK_F6 | 75 | F6 key
VK_F7 | 76 | F7 key
VK_F8 | 77 | F8 key
VK_F9 | 78 | F9 key
VK_F10 | 79 | F10 key
VK_F11 | 7A | F11 key
VK_F12 | 7B | F12 key
VK_F13 | 7C | F13 key
VK_F14 | 7D | F14 key
VK_F15 | 7E | F15 key
VK_F16 | 7F | F16 key
VK_F17 | 80H | F17 key
VK_F18 | 81H | F18 key
VK_F19 | 82H | F19 key
VK_F20 | 83H | F20 key
VK_F21 | 84H | F21 key
VK_F22 | 85H | F22 key
VK_F23 | 86H | F23 key
VK_F24 | 87H | F24 key
— | 88–8F | Unassigned
VK_NUMLOCK | 90 | NUM LOCK key
VK_SCROLL | 91 | SCROLL LOCK key
 | 92–96 | OEM specific
— | 97–9F | Unassigned
VK_LSHIFT | A0 | Left SHIFT key
VK_RSHIFT | A1 | Right SHIFT key
VK_LCONTROL | A2 | Left CONTROL key
VK_RCONTROL | A3 | Right CONTROL key
VK_LMENU | A4 | Left MENU key
VK_RMENU | A5 | Right MENU key
VK_BROWSER_BACK | A6 | Windows 2000: Browser Back key
VK_BROWSER_FORWARD | A7 | Windows 2000: Browser Forward key
VK_BROWSER_REFRESH | A8 | Windows 2000: Browser Refresh key
VK_BROWSER_STOP | A9 | Windows 2000: Browser Stop key
VK_BROWSER_SEARCH | AA | Windows 2000: Browser Search key
VK_BROWSER_FAVORITES | AB | Windows 2000: Browser Favorites key
VK_BROWSER_HOME | AC | Windows 2000: Browser Start and Home key
VK_VOLUME_MUTE | AD | Windows 2000: Volume Mute key
VK_VOLUME_DOWN | AE | Windows 2000: Volume Down key
VK_VOLUME_UP | AF | Windows 2000: Volume Up key
VK_MEDIA_NEXT_TRACK | B0 | Windows 2000: Next Track key
VK_MEDIA_PREV_TRACK | B1 | Windows 2000: Previous Track key
VK_MEDIA_STOP | B2 | Windows 2000: Stop Media key
VK_MEDIA_PLAY_PAUSE | B3 | Windows 2000: Play/Pause Media key
VK_LAUNCH_MAIL | B4 | Windows 2000: Start Mail key
VK_LAUNCH_MEDIA_SELECT | B5 | Windows 2000: Select Media key
VK_LAUNCH_APP1 | B6 | Windows 2000: Start Application 1 key
VK_LAUNCH_APP2 | B7 | Windows 2000: Start Application 2 key
— | B8-B9 | Reserved
VK_OEM_1 | BA | Windows 2000: For the US standard keyboard, the ';:' key
VK_OEM_PLUS | BB | Windows 2000: For any country/region, the '+' key
VK_OEM_COMMA | BC | Windows 2000: For any country/region, the ',' key
VK_OEM_MINUS | BD | Windows 2000: For any country/region, the '-' key
VK_OEM_PERIOD | BE | Windows 2000: For any country/region, the '.' key
VK_OEM_2 | BF | Windows 2000: For the US standard keyboard, the '/?' key
VK_OEM_3 | C0 | Windows 2000: For the US standard keyboard, the '`~' key
— | C1–D7 | Reserved
— | D8–DA | Unassigned
VK_OEM_4 | DB | Windows 2000: For the US standard keyboard, the '[{' key
VK_OEM_5 | DC | Windows 2000: For the US standard keyboard, the '\|' key
VK_OEM_6 | DD | Windows 2000: For the US standard keyboard, the ']}' key
VK_OEM_7 | DE | Windows 2000: For the US standard keyboard, the 'single-quote/double-quote' key
VK_OEM_8 | DF |
— | E0 | Reserved
 | E1 | OEM specific
VK_OEM_102 | E2 | Windows 2000: Either the angle bracket key or the backslash key on the RT 102-key keyboard
 | E3–E4 | OEM specific
VK_PROCESSKEY | E5 | Windows 95/98, Windows NT 4.0, Windows 2000: IME PROCESS key
 | E6 | OEM specific
VK_PACKET | E7 | Windows 2000: Used to pass Unicode characters as if they were keystrokes. The VK_PACKET key is the low word of a 32-bit Virtual Key value used for non-keyboard input methods. For more information, see Remark in KEYBDINPUT, SendInput, WM_KEYDOWN, and WM_KEYUP
— | E8 | Unassigned
 | E9–F5 | OEM specific
VK_ATTN | F6 | Attn key
VK_CRSEL | F7 | CrSel key
VK_EXSEL | F8 | ExSel key
VK_EREOF | F9 | Erase EOF key
VK_PLAY | FA | Play key
VK_ZOOM | FB | Zoom key
VK_NONAME | FC | Reserved for future use
VK_PA1 | FD | PA1 key
VK_OEM_CLEAR | FE | Clear key


[ What is NTsu? ] [ What's new in 3.1? ] [ Installation ] [ Using NTsu ] [ Using NTsu from the Command Line ] [ Registering NTsu ] [ Tips ] [ Warning ]

Warning

This software is not for beginners. You must have in mind that most of applications has been designed supposing one and only one interactive user, because of this you could see strange behaviors in some few applications when opening more than one desktop. You must accept you are using NTsu at your own risk and you must know what you are doing.


MultiLogon

MultiLogon allows you to have more than one interactive sessions with different user rights and profiles at a time, thus you can have simultaneously various desktops, one for your ordinary user, one for Administrator, one for Guest, etc.

Opening a new Desktop

If MultiLogon is not running, start it from NTsu program folder or from \Winnt\System32 in the case of a remote installation, then you will see a little desktop icon on the status window of the taskbar. Click on it to bring up the MultiLogon dialog:

Enter credentials for new interactive user and a complete new desktop will appear. To switch between desktops right click on the MultiLogon icon in the taskbar and select the desktop to switch to. Other options in the menu are self explained, I hope.

NTsu must be completely installed and running for MultiLogon to work properly.


NTsuInstaller

Administrators can use NTsuInstaller to deploy NTsu 3.1 to domain computers remotely.

When performing remotely installations NTsu's files are copied to %WinDir%\System32 directory. Remote installations can only be uninstalled using NTsuInstaller again.

You must enter registration data on the computer from where you are running NTsuInstaller before you can register NTsu on remote computers.

Be sure you are running NTsuInstaller from the directory where NTsu is installed.


Licensing

NTsu has an evaluation period of 15 days, then you must acquire a license code:

Prices:

EUR 15 for a home user license.
EUR 10 per computer for a company license (10 computers minimum).
An special discount will be applied for a number of licenses greater than 100.

EUR = Euro, the actual new currency in the European Union.
Note: EUR 1 ~ $ 1

To acquire a License Code complete the Registration Form and email it to quimeras@quimeras.com or fax to FAX: +34 639 118657 . If you want to encrypt your mail use the quimeras.asc file for the PGP public key.

If your company needs a formal offer, ask for it at quimeras@quimeras.com
For more information on how to acquire a license code see the Registration Form (RegForm.txt) or visit the NTsu Official Web Page: http://www.quimeras.com

Companies and users who registered any previous version of NTsu can upgrade to NTsu 3.x for free, but they must ask The Quimeras Company for a new License Code, the old one will not work on NTsu 3.x.


Privacy policy

Alberto Rodriguez Aragones (The Quimeras Company or TQC) is firmly committed to protecting the privacy of its customers and those who sample our products. TQC does not share, sell, or otherwise distribute the financial or personal information of its customers or those who otherwise provide personal information to sample our products.

All financial and personal information collected by TQC is held in the strictest confidentiality. Financial and personal information provided for orders is used to process payment and to send order information to our customers.

More than anything, TQC tries to treat its customers as each one of us would like to be treated. We value our privacy and we value yours, too. It is our goal to make your experience with TQC a safe and positive experience.

For more information on TQC's privacy policy, please feel free to contact us at: quimeras@quimeras.com


Alberto Rodríguez Aragonés. The Quimeras Company             Registration Form
Francisco Pizarro,3-2B                                     Fax: +34 639 118657
21003 Huelva, SPAIN                              e-mail: quimeras@quimeras.com
http://www.quimeras.com

Please complete the information below and mail or fax.
If you want to encrypt your mail use the ntsu.asc file for the PGP public key.

==============================================================================

Contact Name:     ____________________________ Company: ______________________

Shipping Address: ____________________________________________________________

                  ____________________________________________________________

Email Address:    ____________________________________________________________

Phone Number:     ____________________________ Fax Number: ___________________

==============================================================================

Product:                                               Users             Price
------------------------------------------------------------------------------

NTsu 3.x Single User (Intel)                           (   )       x EUR 15.00

NTsu 3.x Company License (Intel) (10 users minimun)    (   )       x EUR 10.00

DomyRun 1.0 (Intel)                                     [ ]         EUR 150.00

Total Enclosed:                                                 EUR __________

Notes: EUR 1 ~ $ 1
==============================================================================
Payment Method:	( ) Visa ( ) Mastercard

Credit Card Number: ________________________________ Exp: ____________________

Name On Card (EXACTLY): ____________________________ PO Number: ______________

Signature: _________________________________________ Date: ___________________

=================================================================(15/11/00)===
For a Bank Order information contact to quimeras@quimeras.com

If your company needs a formal offer, please ask for it to:
quimeras@quimeras.com

PRIVACY
-------
Alberto Rodriguez Aragones (The Quimeras Company or TQC) is firmly committed to
protecting the privacy of its customers and those who sample our products. TQC
does not share, sell, or otherwise distribute the financial or personal
information of its customers or those who otherwise provide personal information
to sample our products.

All financial and personal information collected by TQC is held in the strictest
confidentiality. Financial and personal information provided for orders is used
to process payment and to send order information to our customers.

More than anything, TQC tries to treat its customers as each one of us would like
to be treated. We value our privacy and we value yours, too. It is our goal to
make your experience with TQC a safe and positive experience.

For more information on TQC's privacy policy, please feel free to contact us at:
quimeras@quimeras.com


For more information

NTsu 3.1 "Run As..." Extensions for Windows NT 4.0
Copyright (c) 2000 The Quimeras Company (Alberto Aragones). All rights reserved.

The Quimeras Company
C/ Francisco Pizarro, 3-2B
21003 Huelva
Phone: +34 629 288946
FAX: +34 639 118657

Web Site: http://www.quimeras.com
E-mail: quimeras@quimeras.com

You can redistribute this evaluation software, as long as you are not charging ANY money for it and the distribution files are kept together and unmodified.